urpm::sys(3)

NAME
urpm::sys - OS-related routines for urpmi

SYNOPSIS

DESCRIPTION

get_packages_list($file, $o_extra)
    Get the list of packages that should not be upgraded or installed, typically from the inst.list or skip.list files.

find_a_mntpoint($dir)
    Find used mount point from a pathname

df($mntpoint)
    Return the size of the partition and its free space in KiB

check_fs_writable()
    Checks if the main filesystems are writable for urpmi to install files in

apply_delta_rpm($deltarpm, $o_dir, $o_pkg)
    Create a plain rpm from an installed rpm and a delta rpm (in the current directory) Returns the new rpm filename in case of success. Params :

    •   $deltarpm : full pathname of the deltarpm

    •   $o_dir : directory where to put the produced rpm (optional)

    •   $o_pkg : URPM::Package object corresponding to the deltarpm (optional)

COPYRIGHT
Copyright (C) 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia